SOURCES = \
  main.cpp renderer.cpp input.cpp socket.cpp window.cpp

build/%.cpp.o: source/%.cpp
	@mkdir -p $(@D)
	$(HILBERT_CC) -c $^ -o $@

build/goldman.elf: $(SOURCES:%=build/%.o)
	$(HILBERT_CC) $^ -ldaguerre -o $@

clean:
	rm -rf build
